org.eclipse.ease.debugging.model

## Class EaseDebugTarget

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.model.EaseDebugElement
      - - org.eclipse.ease.debugging.model.EaseDebugTarget

All Implemented Interfaces:
  IAdaptable, IBreakpointListener, IDebugElement, IDebugTarget, IDisconnect, IMemoryBlockRetrieval, IStep, ISuspendResume, ITerminate, IEventProcessor

Direct Known Subclasses:
  PythonDebugTarget, RhinoDebugTarget

    public abstract class EaseDebugTarget
    extends EaseDebugElement
    implements IDebugTarget, IEventProcessor

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`EaseDebugElement.State`

### Constructor Summary

Constructors
Constructor and Description
`EaseDebugTarget(ILaunch launch, boolean suspendOnStartup, boolean suspendOnScriptLoad, boolean showDynamicCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `breakpointAdded(IBreakpoint breakpoint)`
`void` `breakpointChanged(IBreakpoint breakpoint, IMarkerDelta delta)`
`void` `breakpointRemoved(IBreakpoint breakpoint, IMarkerDelta delta)`
`void` `cleanupOnTermination()`
`void` `fireDispatchEvent(IModelRequest event)`
`EaseDebugTarget` `getDebugTarget()`
`ILaunch` `getLaunch()`
`IMemoryBlock` `getMemoryBlock(long startAddress, long length)`
`java.lang.String` `getName()`
`EaseDebugProcess` `getProcess()`
`EaseDebugThread[]` `getThreads()`
`int` `getUniqueVariableId(java.lang.Object value)`
`void` `handleEvent(IDebugEvent event)`
`boolean` `hasThreads()`
`boolean` `isShowDynamicCode()`
`boolean` `isSuspendOnScriptLoad()`
`boolean` `isSuspendOnStartup()`
`void` `setDispatcher(EventDispatchJob dispatcher)`
`void` `setScriptRegistry(IScriptRegistry registry)` Setter method for script registry for lookups between different types of file identifications.
`boolean` `supportsStorageRetrieval()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`canDisconnect, canResume, canStepInto, canStepOver, canStepReturn, canSuspend, canTerminate, disconnect, getModelIdentifier, isDisconnected, isStepping, isSuspended, isTerminated, resume, setResumed, setSuspended, stepInto, stepOver, stepReturn, suspend, terminate`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugTarget

`supportsBreakpoint`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate, isTerminated, terminate`

### Methods inherited from interface org.eclipse.debug.core.model.ISuspendResume

`canResume, canSuspend, isSuspended, resume, suspend`

### Methods inherited from interface org.eclipse.debug.core.model.IDisconnect

`canDisconnect, disconnect, isDisconnected`

### Constructor Detail

#### EaseDebugTarget

    public EaseDebugTarget(ILaunch launch,
                           boolean suspendOnStartup,
                           boolean suspendOnScriptLoad,
                           boolean showDynamicCode)

### Method Detail

#### isSuspendOnStartup

    public boolean isSuspendOnStartup()

#### isSuspendOnScriptLoad

    public boolean isSuspendOnScriptLoad()

#### isShowDynamicCode

    public boolean isShowDynamicCode()

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IDebugTarget`

#### getDebugTarget

    public EaseDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `IDebugElement`
Overrides:
  `getDebugTarget` in class `EaseDebugElement`

#### getLaunch

    public ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `IDebugElement`
Overrides:
  `getLaunch` in class `DebugElement`

#### getProcess

    public EaseDebugProcess getProcess()

Specified by:
  `getProcess` in interface `IDebugTarget`

#### getThreads

    public EaseDebugThread[] getThreads()

Specified by:
  `getThreads` in interface `IDebugTarget`

#### hasThreads

    public boolean hasThreads()

Specified by:
  `hasThreads` in interface `IDebugTarget`

#### fireDispatchEvent

    public void fireDispatchEvent(IModelRequest event)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### setDispatcher

    public void setDispatcher(EventDispatchJob dispatcher)

Specified by:
  `setDispatcher` in interface `IEventProcessor`

#### setScriptRegistry

    public void setScriptRegistry(IScriptRegistry registry)

Setter method for script registry for lookups between different types of file identifications.

Parameters:
  `registry` - Script registry to be used.

#### handleEvent

    public void handleEvent(IDebugEvent event)

Specified by:
  `handleEvent` in interface `IEventProcessor`

#### cleanupOnTermination

    public void cleanupOnTermination()

#### getUniqueVariableId

    public int getUniqueVariableId(java.lang.Object value)

#### breakpointAdded

    public void breakpointAdded(IBreakpoint breakpoint)

Specified by:
  `breakpointAdded` in interface `IBreakpointListener`

#### breakpointRemoved

    public void breakpointRemoved(IBreakpoint breakpoint,
                                  IMarkerDelta delta)

Specified by:
  `breakpointRemoved` in interface `IBreakpointListener`

#### breakpointChanged

    public void breakpointChanged(IBreakpoint breakpoint,
                                  IMarkerDelta delta)

Specified by:
  `breakpointChanged` in interface `IBreakpointListener`

#### supportsStorageRetrieval

    public boolean supportsStorageRetrieval()

Specified by:
  `supportsStorageRetrieval` in interface `IMemoryBlockRetrieval`

#### getMemoryBlock

    public IMemoryBlock getMemoryBlock(long startAddress,
                                       long length)
                                throws DebugException

Specified by:
  `getMemoryBlock` in interface `IMemoryBlockRetrieval`
Throws:
  `DebugException`